package com.example.tomatoandpotatoapp.navigationPack

import androidx.compose.runtime.Composable
import androidx.navigation.NavController
import androidx.navigation.NavHostController
import com.example.tomatoandpotatoapp.ViewModelsPack.SupabaseAuthViewModel
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import com.example.tomatoandpotatoapp.Screens.MyProfile
import com.example.tomatoandpotatoapp.Screens.ShowPlants

@Composable
fun BottomGraph (
    navController: NavHostController,
    viewModel: SupabaseAuthViewModel,
) {
    NavHost(
        navController = navController,
        startDestination = Screens.ProfileScreen.route,
    ) {
        composable(Screens.ProfileScreen.route) {
           MyProfile(viewModel,navController)
        }
        composable(Screens.PlantsCatalogScreen.route) {
            //ShowPlants(viewModel,navController)
        }
    }
}